# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:40 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	SASL
Summary:	Authen::PAM Perl module - SASL Authentication framework
Summary(pl):	Modu Perla Authen::SASL - szkielet autentykacji SASL
Name:		perl-Authen-SASL
Version:	2.03
Release:	2
Vendor:		Graham Barr <gbarr@pobox.com>
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-non_existent_man.patch
BuildRequires:	pam-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
# earlier perl-ldap contain own Authen::SASL
Conflicts:	perl-ldap < 0.26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%description -l pl
SASL jest oglnym mechanizmem autentykacji wykorzystywanym przez
niektre protokoy sieciowe. Authen::SASL udostpnia szkielet
implementacji, ktry powinien dawa moliwo wspdzielenia go przez
wszystkie protokoy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog api.txt
%dir %{perl_sitelib}/Authen/SASL
%{perl_sitelib}/Authen/SASL.pm
%{perl_sitelib}/Authen/SASL/*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Authen-SASL.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:40  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:39  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:17:12  ankry
- autoupdated to 2.03

Revision 1.1  2002/09/29 10:44:23  ankry
- new

Revision 1.24  2002/07/11 09:46:07  qboosh
- new %%doc

Revision 1.23  2002/07/11 07:57:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:06:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/07/25 09:05:35  mis
- autoupdated to 0.12

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:03:53  kloczek
- updated to 0.11.

Revision 1.9  2000/12/27 18:18:27  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/27 18:32:05  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:07:42  kloczek
- updated to 0.09.

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
